Subscription
All operations require authentication.
Get subscriptionProduction
Returns contacts, creation and expiration dates, and renewal settings.
Path parameters
Zone name
Response
Indicates that the service can be set up to be deleted at expiration
All the possible renew period of your service in month
Way of handling the renew
Detailed renewal type of a service
automaticForcedProductautomaticV2012automaticV2014automaticV2016manualoneShotoptionservice.StateEnum
autorenewInProgressexpiredinCreationokpendingDebtunPaidExample uses zoneName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ zone/ {zoneName}/ serviceInfos \
-H "authorization: Bearer $OVH_TOKEN"{ "canDeleteAtExpiration": true, "contactAdmin": "string", "contactBilling": "string", "contactTech": "string", "creation": "2024-01-01", "domain": "string", "engagedUpTo": "2024-01-01", "expiration": "2024-01-01", "possibleRenewPeriod": [ 0 ], "renew": { "automatic": true, "deleteAtExpiration": true, "forced": true, "manualPayment": true, "period": 0 }, "renewalType": "automaticForcedProduct", "serviceId": 0, "status": "autorenewInProgress"}
Update renewal settingsProduction
Changes how the service renews; renew is the only editable field.
Path parameters
Zone name
Request body (required)
Indicates that the service can be set up to be deleted at expiration
All the possible renew period of your service in month
Way of handling the renew
Detailed renewal type of a service
automaticForcedProductautomaticV2012automaticV2014automaticV2016manualoneShotoptionservice.StateEnum
autorenewInProgressexpiredinCreationokpendingDebtunPaidResponse
Example uses zoneName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ zone/ {zoneName}/ serviceInfos \
-H "authorization: Bearer $OVH_TOKEN"Change contactsProduction
Starts the change of the admin, tech or billing contact and returns the request IDs.
Path parameters
Zone name
Request body (required)
The contact to set as admin contact
The contact to set as billing contact
The contact to set as tech contact
Response
Example uses zoneName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ zone/ {zoneName}/ changeContact \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Request terminationProduction
Emails a termination token to the admin contact, to use with Confirm termination.
Path parameters
Zone name
Response
Example uses zoneName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ zone/ {zoneName}/ terminate \
-H "authorization: Bearer $OVH_TOKEN""string"
Confirm terminationProduction
Confirms the termination with the token sent by email. The reason and comments are optional.
Path parameters
Zone name
Request body (required)
Commentary about your termination request
Commentary about your future use
Commentary about your reason for termination request
All future uses you can provide for a service termination
NOT_REPLACING_SERVICEOTHERSUBSCRIBE_AN_OTHER_SERVICESUBSCRIBE_OTHER_KIND_OF_SERVICE_WITH_COMPETITORSUBSCRIBE_SIMILAR_SERVICE_WITH_COMPETITORAll reasons you can provide for a service termination
FEATURES_DONT_SUIT_MELACK_OF_PERFORMANCESMIGRATED_TO_ANOTHER_OVH_PRODUCTMIGRATED_TO_COMPETITORNOT_ENOUGH_RECOGNITIONNOT_NEEDED_ANYMORENOT_RELIABLENO_ANSWEROTHERPRODUCT_DIMENSION_DONT_SUIT_MEPRODUCT_TOOLS_DONT_SUIT_METOO_EXPENSIVETOO_HARD_TO_USEUNSATIFIED_BY_CUSTOMER_SUPPORTThe termination token sent by email to the admin contact
Response
Example uses zoneName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ zone/ {zoneName}/ confirmTermination \
-H "authorization: Bearer $OVH_TOKEN""string"